function nout=mugui2minuit(nin)
% NOUT=MUGUI2MINUIT(NIN)
% nin is the numer of a parameter in the mufit_gui list
% nout is its position in the fminuit parameter list
% if nin is not an active parameter (i.e. its flag is '=' or '+')
% nout is set to 0
global MU_MODEL

pin=0;
nout=0;
for c=1:MU_MODEL.COMPONENTNUMBER
    for p=1:MU_MODEL.COMPONENT(c).PARAMETERNUMBER
        pin=pin+1;
        switch MU_MODEL.COMPONENT(c).PARAMETER(p).FLAG
          case {'~' '!'}
            nout=nout+1;
            if pin==nin
                return    % nin is an active minuit parameter and
                          % nout is its number in the list
            end
          otherwise
             if pin==nin
                nout=0;   % nin is not an active minuit parameter and
                          % nout is set to zero
                return
            end
        end
    end
end
